Name:		xfce4-minicmd-plugin
Version:	0.4
Release:	8%{?dist}
Summary:	Mini command-line plugin for the Xfce panel

Group:		User Interface/Desktops
License:	GPLv2+
URL:		http://goodies.xfce.org/projects/panel-plugins/%{name}
Source0:	http://goodies.xfce.org/releases/%{name}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.4-multilib.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	xfce4-panel-devel >= 4.3.20, libxfcegui4-devel >= 4.3.20, libxml2-devel
BuildRequires:	perl(XML::Parser)
Requires:	xfce4-panel >= 4.4.0

%description
A mini command-line plugin for the Xfce panel. You can execute programs by 
typing their names in the widget and hitting Enter or Ctrl+Enter. The latter 
runs the command in a terminal. It maintains history which is shared with 
xfrun4. This history can be accessed by Up and Down keys.

%prep
%setup -q
%patch0 -b .multilib

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/xfce4/panel-plugins/*.so
%{_libdir}/xfce4/panel-plugins/*.desktop

%changelog
* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4-8
- Autorebuild for GCC 4.3

* Sat Aug 25 2007 Christoph Wickert <fedora christoph-wickert de> - 0.4-7
- Rebuild for BuildID feature
- Update license tag

* Sat Jun 09 2007 Christoph Wickert <fedora christoph-wickert de> - 0.4-6
- Multilib fix for desktop file (#228168).

* Sat Apr 28 2007 Christoph Wickert <fedora christoph-wickert de> - 0.4-5
- Rebuild for Xfce 4.4.1

* Sun Jan 28 2007 Christoph Wickert <fedora christoph-wickert de> - 0.4-4
- Rebuild for XFCE 4.4.

* Thu Oct 05 2006 Christoph Wickert <fedora christoph-wickert de> - 0.4-3
- Bump release for devel checkin.

* Wed Sep 13 2006 Christoph Wickert <fedora christoph-wickert de> - 0.4-2
- Rebuild for XFCE 4.3.99.1.
- BR perl(XML::Parser).

* Mon Sep 04 2006 Christoph Wickert <fedora christoph-wickert de> - 0.4-1
- Update to 0.4 on XFCE 4.3.90.2.

* Mon Sep 04 2006 Christoph Wickert <fedora christoph-wickert de> - 0.3.0-7
- Mass rebuild for Fedora Core 6.

* Tue Apr 11 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.0-6
- Require xfce4-panel.

* Thu Feb 16 2006 Christoph Wickert <fedora wickert at arcor de> - 0.3.0-5
- Rebuild for Fedora Extras 5.

* Thu Dec 01 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.0-4
- Add libxfcegui4-devel BuildReqs.
- Fix defattr.

* Mon Nov 14 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.0-3
- Initial Fedora Extras version.
- Rebuild for XFCE 4.2.3.
- disable-static instead of removing .a files.

* Fri Sep 23 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.0-2.fc4.cw
- Add libxml2 BuildReqs.

* Sat Jul 09 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.0-1.fc4.cw
- Rebuild for Core 4.

* Wed Apr 13 2005 Christoph Wickert <fedora wickert at arcor de> - 0.3.0-1.fc3.cw
- Initial RPM release.
